
QGIS Application - Bug report #21110

Frequent crash when saving project

2019-01-26 05:38 PM - Steve Murray

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28928

Description

User Feedback

QGIS crashed while closing QGIS, after saving a small project file.  File had 5 layers: Google Satellite xyz tile as background, three GPX

tracks, and one CSV of photo waypoints. Small stuff. The GPX layers are from iPhone 7, working in EPSG:4326 (WGS84) in decimal

degrees.  CSV is from a list generated by EXIFTool from photos from the same phone.  Also in EPSG:4326.  Google Satellite is in EPSG

3857 of course.  GPX and CSV coordinates are in Texas (~30.7, -96.5)

Project file saved and displayed properly after saving, but came up wrong when reopening QGIS.   Zooming out shows that the GPX and

CSV files are now showing up just off Africa! Layers are all there, but seems like the GPX and CSV layers are being read in meter units

(EPSG 3857), rather than degrees (EPSG 4326).  Looking at File Properties-Source, the GPX and CSV files still show in the correct CRS

- EPSG4326.

QGIS 3.4.4-Maderia).

I had this same issue when pulling in Google Satellite via QMS plug-in in QGIS 3.4.4 earlier. Same problem usinf QMS doe OSM, Bing,

and ESRI backgrounds.  So I recently re-installed a "clean version of QGIS from OSGEO4W - 64-bit installer and tried the XYZ tile

browser.

I am not changing/transforming any file CRSs.  Instead relying on QGIS to do the CRS OTF conversions as needed.  The GPX layers are

"track", no polygons and only one track per file.

I can start over with a new project using the same layer source files and get back to the correct layout, but again something goes wrong

either in saving the file, or as QGIS closes.  The error shows up when closing QGIS after what appears to be a successful safe of the

project file.

Running QGIS 3.4.4-maderia on a Win10Pro on Lenovo X1 laptop.

This is a consistent, reproducable error.  Is there perhaps something wrong with my configuration?  I have not customized QGIS at all -

straight "out of the box" new installation.  Installed with OSGEO4W 64 bit installer.

Report Details

Crash ID: 5ad41d6be94809f981e2ec9b06a0e20f1d0b0a87

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator char * __ptr64 * __ptr64 :

main :
BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2019-01-26 09:41 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#2 - 2019-01-26 09:41 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
